Subject: Re: bug#41375: guix substitute: error: TLS error in procedure 'handshake'

From: Igor Gajsin <[email-masked]>
Date: Thu, 21 May 2020 08:25:07 +0200

Next evening I've run `guix pull` again and it finished well. I don't
know why.

Marius Bakke writes:

> Igor Gajsin <[email-masked]> writes:
>
>> Hi,
>>
>> I run the command `guix pull --dry-run` and got the error:
>>
>>
>> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
>> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%                                                                            \
>>                                                                                                                                                      /substitute: guix substitute: error: TLS error in procedure 'handshake': The TLS connection was non-properly terminated.
>
> Is this error consistent for you?  It looks like it could be a transient
> network issue.

--
With best regards,
Igor Gajsin